<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__scb__ezi2c_8h" kind="file" language="C++">
    <compoundname>cy_scb_ezi2c.h</compoundname>
    <includes local="yes" refid="cy__scb__common_8h">cy_scb_common.h</includes>
    <includedby local="yes" refid="cy__pdl_8h">cy_pdl.h</includedby>
    <includedby local="yes" refid="cy__scb__ezi2c_8c">cy_scb_ezi2c.c</includedby>
    <innerclass prot="public" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga4aca0331d49ac511d15bc797b1f22960" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_READ1</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>The Read transfer intended for the primary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The error condition status bit must be checked to ensure that the Read transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="436" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="436" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga3f22409e7776d9d7dea6d88f6424020a" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_WRITE1</name>
        <initializer>(0x02UL)</initializer>
        <briefdescription>
<para>The Write transfer intended for the primary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer content was modified. The error condition status bit must be checked to ensure that the Write transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="444" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="444" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga625c2cc11c16d3ac8baaf2440d6be804" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_READ2</name>
        <initializer>(0x04UL)</initializer>
        <briefdescription>
<para>The Read transfer intended for the secondary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The error condition status bit must be checked to ensure that the Read transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="451" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="451" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga6a16c711c82365de7cff305a3675f355" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_WRITE2</name>
        <initializer>(0x08UL)</initializer>
        <briefdescription>
<para>The Write transfer intended for the secondary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer content was modified. The error condition status bit must be checked to ensure that the Write transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="459" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="459" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga748ebd94817f62e09cf408412c54915b" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_BUSY</name>
        <initializer>(0x10UL)</initializer>
        <briefdescription>
<para>A transfer intended for the primary address or secondary address is in progress. </para>        </briefdescription>
        <detaileddescription>
<para>The status bit is set after an address match and cleared on a Stop or ReStart condition. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="466" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="466" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga5b63d8bea0972f185377db79852e44b1" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_ERR</name>
        <initializer>(0x20UL)</initializer>
        <briefdescription>
<para>An error occurred during a transfer intended for the primary or secondary slave address. </para>        </briefdescription>
        <detaileddescription>
<para>The sources of the error are: a misplaced Start or Stop condition or lost arbitration while the slave drives SDA. When CY_SCB_EZI2C_STATUS_ERR is set, the slave buffer may contain an invalid byte. Discard the buffer content in this case. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="475" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="475" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros_1gaf46cb96031d98174d9154de0d0932f8c" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_DEFAULT_TX</name>
        <initializer>(0xFFUL)</initializer>
        <briefdescription>
<para>This value is returned by the slave when the buffer is not configured or the master requests more bytes than are available in the buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="482" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="482" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb" kind="enum" prot="public" static="no">
        <name>cy_en_scb_ezi2c_status_t</name>
        <enumvalue id="group__group__scb__ezi2c__enums_1ggae75ed91d83e89dd9a13c9a832a138ffbaa260f8db335e25fab5d7ca6f42b35e19" prot="public">
          <name>CY_SCB_EZI2C_SUCCESS</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Operation completed successfully. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__ezi2c__enums_1ggae75ed91d83e89dd9a13c9a832a138ffbaad50b06788424e406903935ae09ce63c" prot="public">
          <name>CY_SCB_EZI2C_BAD_PARAM</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_EZI2C_ID | 1U)</initializer>
          <briefdescription>
<para>One or more of input parameters are invalid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_ezi2c_status_t: </bold><linebreak />EZI2C slave status codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="268" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="261" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="262" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__enums_1ga5e20e1c00a75b3467305aa839271697a" kind="enum" prot="public" static="no">
        <name>cy_en_scb_ezi2c_num_of_addr_t</name>
        <enumvalue id="group__group__scb__ezi2c__enums_1gga5e20e1c00a75b3467305aa839271697aa88d5060e586a93a7e1c77885dee8c5cf" prot="public">
          <name>CY_SCB_EZI2C_ONE_ADDRESS</name>
          <briefdescription>
<para>Only one address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__ezi2c__enums_1gga5e20e1c00a75b3467305aa839271697aa0e0061a8dc7c485afe7fe7589568dcc7" prot="public">
          <name>CY_SCB_EZI2C_TWO_ADDRESSES</name>
          <briefdescription>
<para>Two addresses. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_ezi2c_num_of_addr_t: </bold><linebreak />Number of Addresses.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="275" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="271" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="272" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__enums_1ga2a4845448404203987f881e2e907feff" kind="enum" prot="public" static="no">
        <name>cy_en_scb_ezi2c_sub_addr_size_t</name>
        <enumvalue id="group__group__scb__ezi2c__enums_1gga2a4845448404203987f881e2e907feffa313bce9b46a4ce11f0d2891842e98ee6" prot="public">
          <name>CY_SCB_EZI2C_SUB_ADDR8_BITS</name>
          <briefdescription>
<para>Sub-address is 8 bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__ezi2c__enums_1gga2a4845448404203987f881e2e907feffadbf7f1cb8eb4c344521eda48d442c53e" prot="public">
          <name>CY_SCB_EZI2C_SUB_ADDR16_BITS</name>
          <briefdescription>
<para>Sub-address is 16 bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_ezi2c_sub_addr_size_t: </bold><linebreak />Size of Sub-Address.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="279" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gaafe61aa4c2931975a8698afa46717b97" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref></type>
        <definition>cy_en_scb_ezi2c_status_t Cy_SCB_EZI2C_Init</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_ezi2c_config_t const *config, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the SCB for the EZI2C operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the configuration structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="137" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="377" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gac6b21a0094575d46e64d6fd0c0c4c073" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_DeInit</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_EZI2C_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>De-initializes the SCB block, returns the register values to default. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Ensure that the SCB block is disabled before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="379" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gae5c13ff7a89e0a75fbe83bd5dfc4fc95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SCB_EZI2C_Enable</definition>
        <argsstring>(CySCB_Type *base)</argsstring>
        <name>Cy_SCB_EZI2C_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SCB block for the EZI2C operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="542" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="539" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="380" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gac76d9847576cbbcc7f92206f1e8b35f6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_Disable</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disables the SCB block and clears the context statuses. </para>        </briefdescription>
        <detaileddescription>
<para>Note that after the block is disabled, the TX and RX FIFOs and hardware statuses are cleared. Also, the hardware stops driving the output and ignores the input.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function while EZI2C is busy (the slave has been addressed and is communicating with the master), may cause transaction corruption because the hardware stops driving the output and ignores the input. Ensure that the EZI2C slave is not busy before calling this function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="381" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1gab321bf749393f592131b61257af1d262" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetAddress1</definition>
        <argsstring>(CySCB_Type *base, uint8_t addr, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetAddress1</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets the primary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 7-bit right justified slave address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="556" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="546" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="383" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga1f1d07bd655fb78309119d2bbca4e25c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_EZI2C_GetAddress1</definition>
        <argsstring>(CySCB_Type const *base, cy_stc_scb_ezi2c_context_t const *context)</argsstring>
        <name>Cy_SCB_EZI2C_GetAddress1</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the primary the EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<itemizedlist>
<listitem><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The 7-bit right justified slave address. </para></simplesect>
</para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="584" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="578" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="384" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga2e81f148dad6ecd6d476546571995375" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetAddress2</definition>
        <argsstring>(CySCB_Type *base, uint8_t addr, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetAddress2</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets the secondary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The 7-bit right justified slave address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Calling this function when the EZI2C slave is configured for one-address operation leads to unexpected behavior because it updates the address mask. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="667" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="659" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="386" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__general__functions_1ga9861dc3fe528d19c186df09525e26344" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_EZI2C_GetAddress2</definition>
        <argsstring>(CySCB_Type const *base, cy_stc_scb_ezi2c_context_t const *context)</argsstring>
        <name>Cy_SCB_EZI2C_GetAddress2</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the secondary EZI2C slave address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The 7-bit right justified slave address. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="695" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="689" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="387" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__slave__functions_1ga37de7020a41bff6ee0ad54af0a8be36e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetBuffer1</definition>
        <argsstring>(CySCB_Type const *base, uint8_t *buffer, uint32_t size, uint32_t rwBoundary, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetBuffer1</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rwBoundary</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets up the data buffer to be exposed to the I2C master on the primary slave address request. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data buffer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the buffer in bytes.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rwBoundary</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data bytes starting from the beginning of the buffer with Read and Write access. The data bytes located at rwBoundary or greater are read only.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;This function is not interrupt-protected and to prevent a race condition, it must be protected from the EZI2C interruption in the place where it is called.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Calling this function in the middle of a transaction intended for the secondary slave address leads to unexpected behavior. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="633" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="621" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="394" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__slave__functions_1ga2435d7a2b8e0d069e6ae1f2686e64be8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_SetBuffer2</definition>
        <argsstring>(CySCB_Type const *base, uint8_t *buffer, uint32_t size, uint32_t rwBoundary, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_SetBuffer2</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>rwBoundary</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sets up the data buffer to be exposed to the I2C master on the secondary slave address request. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data buffer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the buffer in bytes.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rwBoundary</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data bytes starting from the beginning of the buffer with Read and Write access. The data bytes located at rwBoundary or greater are read only.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ul&gt;&lt;li&gt;&lt;p&gt;This function is not interrupt-protected. To prevent a race condition, it must be protected from the EZI2C interruption in the place where it is called.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Calling this function in the middle of a transaction intended for the secondary slave address leads to unexpected behavior. &lt;/p&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="744" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="732" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="396" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__slave__functions_1ga8cd24e8c6c0bb996f6266443e1353f39" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_EZI2C_GetActivity</definition>
        <argsstring>(CySCB_Type const *base, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_GetActivity</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns a non-zero value if an I2C Read or Write cycle has occurred since the last time this function was called. </para>        </briefdescription>
        <detaileddescription>
<para>All flags are reset to zero at the end of this function call, except the <ref kindref="member" refid="group__group__scb__ezi2c__macros__get__activity_1ga748ebd94817f62e09cf408412c54915b">CY_SCB_EZI2C_STATUS_BUSY</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="compound" refid="group__group__scb__ezi2c__macros__get__activity">EZI2C Activity Status</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="524" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="508" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="399" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__slave__functions_1ga5e811e428ecb264dddb284066d6ff956" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_EZI2C_Interrupt</definition>
        <argsstring>(CySCB_Type *base, cy_stc_scb_ezi2c_context_t *context)</argsstring>
        <name>Cy_SCB_EZI2C_Interrupt</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>This is the interrupt function for the SCB configured in the EZI2C mode. </para>        </briefdescription>
        <detaileddescription>
<para>This function must be called inside the user-defined interrupt service routine to make the EZI2C slave work.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the EZI2C SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref> allocated by the user. The structure is used during the EZI2C operation for internal configuration and data retention. The user must not modify anything in this structure. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="839" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="765" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="401" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__low__power__functions_1ga5875cdcf148b37407ee8360b79580426" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_SCB_EZI2C_DeepSleepCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_SCB_EZI2C_DeepSleepCallback</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>This function handles the transition of the EZI2C SCB into and out of Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para>It prevents the device from entering Deep Sleep mode if the EZI2C slave is actively communicating. The following behavior of the EZI2C depends on whether the SCB block is wakeup-capable:<itemizedlist>
<listitem><para><bold>Wakeup-capable</bold>: on the incoming EZI2C slave address, the slave receives the address and stretches the clock until the device is woken from Deep Sleep mode. If the slave address occurs before the device enters Deep Sleep mode, the device will not enter Deep Sleep mode.</para></listitem><listitem><para><bold>Not wakeup-capable</bold>: the EZI2C is disabled. It is enabled when the device fails to enter Deep Sleep mode or it is woken from Deep Sleep mode. While the EZI2C is disabled, it stops driving the outputs and ignores the input lines. The slave NACKs all incoming addresses.</para></listitem></itemizedlist>
</para><para>This function must be called during execution of <ref kindref="member" refid="group__group__syspm__functions__power_1ga5150c28fe4d2626720c1fbf74b3111ca">Cy_SysPm_CpuEnterDeepSleep</ref>. To do this, register this function as a callback before calling <ref kindref="member" refid="group__group__syspm__functions__power_1ga5150c28fe4d2626720c1fbf74b3111ca">Cy_SysPm_CpuEnterDeepSleep</ref> : specify <ref kindref="member" refid="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0abc51d74deff0ceea4304b01b2d57bd9d">CY_SYSPM_DEEPSLEEP</ref> as the callback type and call <ref kindref="member" refid="group__group__syspm__functions__callback_1ga0d58b00c8dc764a6371590f70e2f73c7">Cy_SysPm_RegisterCallback</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the callback parameters structure. <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Only applicable for &lt;b&gt;rev-08 of the CY8CKIT-062-BLE&lt;/b&gt;. For proper operation, when the EZI2C slave is configured to be a wakeup source from Deep Sleep mode, this function must be copied and modified by the user. The EZI2C clock disable code must be inserted in the &lt;a href="group__group__syspm__data__enumerates.html#group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63a7d302375276b3b5f250a8208c999b558"&gt;CY_SYSPM_BEFORE_TRANSITION&lt;/a&gt; and clock enable code in the &lt;a href="group__group__syspm__data__enumerates.html#group__group__syspm__data__enumerates_1ggae06cd8869fe61d709ad6145ca9f3cd63aafd1db1f7f86ac7bbd18d59b78af5693"&gt;CY_SYSPM_AFTER_TRANSITION&lt;/a&gt; mode processing. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="394" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="252" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="408" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__scb__ezi2c__low__power__functions_1ga0c0f0f4191ec10d04b0b3a8363e7caf4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_SCB_EZI2C_HibernateCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_SCB_EZI2C_HibernateCallback</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>This function handles the transition of the EZI2C SCB block into Hibernate mode. </para>        </briefdescription>
        <detaileddescription>
<para>It prevents the device from entering Hibernate mode if the EZI2C slave is actively communicating. If the EZI2C is ready to enter Hibernate mode, it is disabled. If the device fails to enter Hibernate mode, the EZI2C is enabled. While the EZI2C is disabled, it stops driving the output and ignores the inputs. The slave NACKs all incoming addresses.</para><para>This function must be called during execution of <ref kindref="member" refid="group__group__syspm__functions__power_1gae97647a28c370674ba57d451d21d1c51">Cy_SysPm_SystemEnterHibernate</ref>. To do this, register this function as a callback before calling <ref kindref="member" refid="group__group__syspm__functions__power_1gae97647a28c370674ba57d451d21d1c51">Cy_SysPm_SystemEnterHibernate</ref> : specify <ref kindref="member" refid="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0a613e2f83e3ab88e3569cf34ff0fa5912">CY_SYSPM_HIBERNATE</ref> as the callback type and call <ref kindref="member" refid="group__group__syspm__functions__callback_1ga0d58b00c8dc764a6371590f70e2f73c7">Cy_SysPm_RegisterCallback</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the callback parameters structure <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="484" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_ezi2c.c" bodystart="425" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="409" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.50</para></simplesect>
Provides EZI2C API declarations of the SCB driver.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="240"><highlight class="preprocessor">#if<sp />!defined(CY_SCB_EZI2C_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_scb_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CY_IP_MXSCB</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="252"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Enumerated<sp />Types</highlight></codeline>
<codeline lineno="253"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="262"><highlight class="normal">{</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ggae75ed91d83e89dd9a13c9a832a138ffbaa260f8db335e25fab5d7ca6f42b35e19">CY_SCB_EZI2C_SUCCESS</ref><sp />=<sp />0U,</highlight></codeline>
<codeline lineno="265"><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ggae75ed91d83e89dd9a13c9a832a138ffbaad50b06788424e406903935ae09ce63c">CY_SCB_EZI2C_BAD_PARAM</ref><sp />=<sp />(<ref kindref="member" refid="group__group__scb__common__macros_1gab50a7b4a1b916c7ecfcc38ac8d5fdea0">CY_SCB_ID</ref><sp />|<sp /><ref kindref="member" refid="group__group__syslib__macros__status__codes_1gaea5a4ae400ef551a3ef0b15a13ba8070">CY_PDL_STATUS_ERROR</ref><sp />|<sp /><ref kindref="member" refid="group__group__scb__common__macros_1ga9542eb5bb86deb8c5b229f503766d91b">CY_SCB_EZI2C_ID</ref><sp />|<sp />1U),</highlight></codeline>
<codeline lineno="268"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref>;</highlight></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal">{</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gga5e20e1c00a75b3467305aa839271697aa88d5060e586a93a7e1c77885dee8c5cf">CY_SCB_EZI2C_ONE_ADDRESS</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gga5e20e1c00a75b3467305aa839271697aa0e0061a8dc7c485afe7fe7589568dcc7">CY_SCB_EZI2C_TWO_ADDRESSES</ref><sp /><sp /></highlight></codeline>
<codeline lineno="275"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ga5e20e1c00a75b3467305aa839271697a">cy_en_scb_ezi2c_num_of_addr_t</ref>;</highlight></codeline>
<codeline lineno="276"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal">{</highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gga2a4845448404203987f881e2e907feffa313bce9b46a4ce11f0d2891842e98ee6">CY_SCB_EZI2C_SUB_ADDR8_BITS</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gga2a4845448404203987f881e2e907feffadbf7f1cb8eb4c344521eda48d442c53e">CY_SCB_EZI2C_SUB_ADDR16_BITS</ref><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="282"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__scb__ezi2c__enums_1ga2a4845448404203987f881e2e907feff">cy_en_scb_ezi2c_sub_addr_size_t</ref>;</highlight></codeline>
<codeline lineno="283"><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="normal">{</highlight></codeline>
<codeline lineno="288"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_IDLE,</highlight></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_ADDR,</highlight></codeline>
<codeline lineno="290"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_RX_OFFSET_MSB,</highlight></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_RX_OFFSET_LSB,</highlight></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_RX_DATA0,</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_RX_DATA1,</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp />CY_SCB_EZI2C_STATE_TX_DATA</highlight></codeline>
<codeline lineno="295"><highlight class="normal">}<sp />cy_en_scb_ezi2c_state_t;</highlight></codeline>
<codeline lineno="300"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="301"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="302"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="normal" /></codeline>
<codeline lineno="310" refid="structcy__stc__scb__ezi2c__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_stc_scb_ezi2c_config</highlight></codeline>
<codeline lineno="311"><highlight class="normal">{</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_scb_ezi2c_num_of_addr_t<sp />numberOfAddresses;</highlight></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />slaveAddress1;</highlight></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />slaveAddress2;</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_scb_ezi2c_sub_addr_size_t<sp />subAddressSize;</highlight></codeline>
<codeline lineno="323"><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enableWakeFromSleep;</highlight></codeline>
<codeline lineno="330"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref>;</highlight></codeline>
<codeline lineno="331"><highlight class="normal" /></codeline>
<codeline lineno="339" refid="structcy__stc__scb__ezi2c__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">cy_stc_scb_ezi2c_context</highlight></codeline>
<codeline lineno="340"><highlight class="normal">{</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">volatile</highlight><highlight class="normal"><sp />cy_en_scb_ezi2c_state_t<sp />state;<sp /><sp /></highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">volatile</highlight><highlight class="normal"><sp />uint32_t<sp />status;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="345"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />address1;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />address2;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_scb_ezi2c_sub_addr_size_t<sp />subAddrSize;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />idx;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />baseAddr1;<sp /></highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />baseAddr2;<sp /></highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp />addr1Active;<sp /></highlight></codeline>
<codeline lineno="354"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />*curBuf;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />bufSize;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*buf1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf1Size;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf1rwBondary;<sp /></highlight></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*buf2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf2Size;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf2rwBondary;<sp /></highlight></codeline>
<codeline lineno="365"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref>;</highlight></codeline>
<codeline lineno="369"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="370"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="371"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal"><ref kindref="member" refid="group__group__scb__ezi2c__enums_1gae75ed91d83e89dd9a13c9a832a138ffb">cy_en_scb_ezi2c_status_t</ref><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gaafe61aa4c2931975a8698afa46717b97">Cy_SCB_EZI2C_Init</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__config__t">cy_stc_scb_ezi2c_config_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*config,</highlight></codeline>
<codeline lineno="378"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="379"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gac6b21a0094575d46e64d6fd0c0c4c073">Cy_SCB_EZI2C_DeInit</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base);</highlight></codeline>
<codeline lineno="380"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gae5c13ff7a89e0a75fbe83bd5dfc4fc95">Cy_SCB_EZI2C_Enable</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base);</highlight></codeline>
<codeline lineno="381"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gac76d9847576cbbcc7f92206f1e8b35f6">Cy_SCB_EZI2C_Disable</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="382"><highlight class="normal" /></codeline>
<codeline lineno="383"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gab321bf749393f592131b61257af1d262">Cy_SCB_EZI2C_SetAddress1</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp />uint8_t<sp />addr,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="384"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1ga1f1d07bd655fb78309119d2bbca4e25c">Cy_SCB_EZI2C_GetAddress1</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*context);</highlight></codeline>
<codeline lineno="385"><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1ga2e81f148dad6ecd6d476546571995375">Cy_SCB_EZI2C_SetAddress2</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp />uint8_t<sp />addr,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="387"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1ga9861dc3fe528d19c186df09525e26344">Cy_SCB_EZI2C_GetAddress2</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*context);</highlight></codeline>
<codeline lineno="394"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__scb__ezi2c__slave__functions_1ga37de7020a41bff6ee0ad54af0a8be36e">Cy_SCB_EZI2C_SetBuffer1</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp />uint8_t<sp />*buffer,<sp />uint32_t<sp />size,<sp />uint32_t<sp />rwBoundary,</highlight></codeline>
<codeline lineno="395"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="396"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__scb__ezi2c__slave__functions_1ga2435d7a2b8e0d069e6ae1f2686e64be8">Cy_SCB_EZI2C_SetBuffer2</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp />uint8_t<sp />*buffer,<sp />uint32_t<sp />size,<sp />uint32_t<sp />rwBoundary,</highlight></codeline>
<codeline lineno="397"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="398"><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__scb__ezi2c__slave__functions_1ga8cd24e8c6c0bb996f6266443e1353f39">Cy_SCB_EZI2C_GetActivity</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="400"><highlight class="normal" /></codeline>
<codeline lineno="401"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__scb__ezi2c__slave__functions_1ga5e811e428ecb264dddb284066d6ff956">Cy_SCB_EZI2C_Interrupt</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /><ref kindref="compound" refid="structcy__stc__scb__ezi2c__context__t">cy_stc_scb_ezi2c_context_t</ref><sp />*context);</highlight></codeline>
<codeline lineno="408"><highlight class="normal"><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp /><ref kindref="member" refid="group__group__scb__ezi2c__low__power__functions_1ga5875cdcf148b37407ee8360b79580426">Cy_SCB_EZI2C_DeepSleepCallback</ref>(<ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref><sp />*callbackParams,<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref><sp />mode);</highlight></codeline>
<codeline lineno="409"><highlight class="normal"><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref><sp /><ref kindref="member" refid="group__group__scb__ezi2c__low__power__functions_1ga0c0f0f4191ec10d04b0b3a8363e7caf4">Cy_SCB_EZI2C_HibernateCallback</ref>(<ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref><sp />*callbackParams,<sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref><sp />mode);</highlight></codeline>
<codeline lineno="413"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="414"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />API<sp />Constants</highlight></codeline>
<codeline lineno="415"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="416"><highlight class="normal" /></codeline>
<codeline lineno="436"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_READ1<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="437"><highlight class="normal" /></codeline>
<codeline lineno="444"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_WRITE1<sp /><sp /><sp /><sp /><sp /><sp />(0x02UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="445"><highlight class="normal" /></codeline>
<codeline lineno="451"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_READ2<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="452"><highlight class="normal" /></codeline>
<codeline lineno="459"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_WRITE2<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x08UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="460"><highlight class="normal" /></codeline>
<codeline lineno="466"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x10UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="467"><highlight class="normal" /></codeline>
<codeline lineno="475"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_STATUS_ERR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x20UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="476"><highlight class="normal" /></codeline>
<codeline lineno="482"><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_DEFAULT_TX<sp /><sp />(0xFFUL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="483"><highlight class="normal" /></codeline>
<codeline lineno="484"><highlight class="normal" /></codeline>
<codeline lineno="485"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="486"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Internal<sp />Constants</highlight></codeline>
<codeline lineno="487"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="488"><highlight class="normal" /></codeline>
<codeline lineno="490"><highlight class="comment">/*<sp />Default<sp />registers<sp />values<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="491"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_I2C_CTRL<sp /><sp /><sp />(SCB_I2C_CTRL_S_GENERAL_IGNORE_Msk<sp />|<sp />SCB_I2C_CTRL_SLAVE_MODE_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="492"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_RX_CTRL<sp /><sp /><sp /><sp />(CY_SCB_I2C_RX_CTRL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="493"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_TX_CTRL<sp /><sp /><sp /><sp />(CY_SCB_I2C_TX_CTRL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="494"><highlight class="normal" /></codeline>
<codeline lineno="495"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_SLAVE_INTR<sp /><sp /><sp /><sp /><sp />(CY_SCB_SLAVE_INTR_I2C_ADDR_MATCH<sp />|<sp />CY_SCB_SLAVE_INTR_I2C_STOP<sp />|<sp />\</highlight></codeline>
<codeline lineno="496"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_SCB_SLAVE_INTR_I2C_BUS_ERROR<sp /><sp />|<sp />CY_SCB_SLAVE_INTR_I2C_ARB_LOST)</highlight><highlight class="normal" /></codeline>
<codeline lineno="497"><highlight class="normal" /><highlight class="comment">/*<sp />Error<sp />interrupt<sp />sources<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="498"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_SLAVE_INTR_ERROR<sp /><sp /><sp />(CY_SCB_SLAVE_INTR_I2C_BUS_ERROR<sp /><sp />|<sp />CY_SCB_SLAVE_INTR_I2C_ARB_LOST)</highlight><highlight class="normal" /></codeline>
<codeline lineno="499"><highlight class="normal" /></codeline>
<codeline lineno="500"><highlight class="normal" /><highlight class="comment">/*<sp />Disables<sp />Stop<sp />interrupt<sp />source<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="501"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_SLAVE_INTR_NO_STOP<sp />(CY_SCB_EZI2C_SLAVE_INTR<sp />&amp;<sp />((uint32_t)<sp />~CY_SCB_SLAVE_INTR_I2C_STOP))</highlight><highlight class="normal" /></codeline>
<codeline lineno="502"><highlight class="normal" /></codeline>
<codeline lineno="503"><highlight class="normal" /><highlight class="comment">/*<sp />Disable<sp />Address<sp />interrupt<sp />source<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="504"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_SLAVE_INTR_NO_ADDR<sp />(CY_SCB_EZI2C_SLAVE_INTR<sp />&amp;<sp />((uint32_t)<sp />~CY_SCB_SLAVE_INTR_I2C_ADDR_MATCH))</highlight><highlight class="normal" /></codeline>
<codeline lineno="505"><highlight class="normal" /></codeline>
<codeline lineno="506"><highlight class="normal" /><highlight class="comment">/*<sp />FIFO<sp />size<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="507"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_FIFO_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_SCB_FIFO_SIZE</highlight><highlight class="normal" /></codeline>
<codeline lineno="508"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_HALF_FIFO_SIZE<sp /><sp /><sp /><sp />(CY_SCB_FIFO_SIZE<sp />/<sp />2UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="509"><highlight class="normal" /></codeline>
<codeline lineno="510"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_ONE_ADDRESS_MASK<sp /><sp /><sp />(0xFFUL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="511"><highlight class="normal" /></codeline>
<codeline lineno="512"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_IS_NUM_OF_ADDR_VALID(numAddr)<sp /><sp />(<sp />(CY_SCB_EZI2C_ONE_ADDRESS<sp /><sp /><sp />==<sp />(numAddr))<sp />||<sp />\</highlight></codeline>
<codeline lineno="513"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_SCB_EZI2C_TWO_ADDRESSES<sp />==<sp />(numAddr))<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="514"><highlight class="normal" /></codeline>
<codeline lineno="515"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SCB_EZI2C_IS_SUB_ADDR_SIZE_VALID(subAddrSize)<sp /><sp /><sp /><sp />(<sp />(CY_SCB_EZI2C_SUB_ADDR8_BITS<sp /><sp />==<sp />(subAddrSize))<sp />||<sp />\</highlight></codeline>
<codeline lineno="516"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_SCB_EZI2C_SUB_ADDR16_BITS<sp />==<sp />(subAddrSize))<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="517"><highlight class="normal" /></codeline>
<codeline lineno="521"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="522"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />In-line<sp />Function<sp />Implementation</highlight></codeline>
<codeline lineno="523"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="524"><highlight class="normal" /></codeline>
<codeline lineno="529"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="530"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_EZI2C_Enable</highlight></codeline>
<codeline lineno="531"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="539"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__scb__ezi2c__general__functions_1gae5c13ff7a89e0a75fbe83bd5dfc4fc95">Cy_SCB_EZI2C_Enable</ref>(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base)</highlight></codeline>
<codeline lineno="540"><highlight class="normal">{</highlight></codeline>
<codeline lineno="541"><highlight class="normal"><sp /><sp /><sp /><sp />SCB_CTRL(base)<sp />|=<sp />SCB_CTRL_ENABLED_Msk;</highlight></codeline>
<codeline lineno="542"><highlight class="normal">}</highlight></codeline>
<codeline lineno="543"><highlight class="normal" /></codeline>
<codeline lineno="546"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="547"><highlight class="normal">}</highlight></codeline>
<codeline lineno="548"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="549"><highlight class="normal" /></codeline>
<codeline lineno="552"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(CY_IP_MXSCB)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="553"><highlight class="normal" /></codeline>
<codeline lineno="554"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(CY_SCB_EZI2C_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="555"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" />
  </compounddef>
</doxygen>